API
Captures a cropped frame from the camera of a specified deck position and draws a tip rack pattern on it.
ML Prep API (v1)
Download OpenAPI description
Languages
Servers
Mock server
http://{{your_prep_ip_address}}/
- Mock server
http://{{your_prep_ip_address}}/api/v1/camera/position/{positionId}/{padding}/{zHeight}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/camera/position/{positionId}/{padding}/{zHeight}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
"string"
Request
Grabs a cropped frame from the camera of a specified deck position and draws a tip rack pattern on it. The position id, height of the rack (typically 61mm, 63mm, or 65mm), and desired color (0 - 255) must be provided. This call is useful for debugging purposes, to see how well the calibrations line up, or how well tip detection works.
Security
Bearer
- Mock server
http://{{your_prep_ip_address}}/api/v1/camera/position/tip-rack/{positionId}/{zHeight}/{color}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/camera/position/tip-rack/{positionId}/{zHeight}/{color}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
"string"
- Mock server
http://{{your_prep_ip_address}}/api/v1/camera/get-frame
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/camera/get-frame' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
"string"